Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006601OCamldocumentationpublic2014-10-07 16:182017-04-10 15:04
Reportermadroach 
Assigned To 
PrioritynormalSeveritytweakReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version4.06.0+dev 
Summary0006601: advertise caml_strdup in 19.10.2 instead of strcpy
DescriptionSince 4.02 OCaml provides ocaml_strdup to get rid of unsafe strcpy calls.
So please don't recommend strcpy in the manual anymore. (first code example in 19.10.2)
Tagsjunior_job
Attached Files

- Relationships

-  Notes
(0015745)
doligez (administrator)
2016-04-14 17:00
edited on: 2017-04-10 15:01

I've updated the example. Keeping this PR open because we need to document caml_strdup and caml_strconcat.

[edit] the updating was commits 9d040c28922437c6c644d0f7fccc043563e22ec9 (in 4.03) and 380a091e7c8ecf1594e81cd4eca72528fcea86b2 (in trunk/4.04)

(0017709)
murmour (reporter)
2017-03-29 05:10

caml_stat_strdup and caml_stat_strconcat are now documented in memory.h. I've also added a couple of fixes to the manual: https://github.com/ocaml/ocaml/pull/1126. [^]
(0017730)
doligez (administrator)
2017-04-10 15:01
edited on: 2017-04-10 15:03

Fixed by commit 3f705ece.


- Issue History
Date Modified Username Field Change
2014-10-07 16:18 madroach New Issue
2014-10-08 17:17 doligez Status new => acknowledged
2014-10-08 17:17 doligez Target Version => 4.03.0+dev / +beta1
2016-03-23 14:11 doligez Tag Attached: junior_job
2016-04-14 17:00 doligez Note Added: 0015745
2016-04-14 17:00 doligez Target Version 4.03.0+dev / +beta1 => 4.03.1+dev
2017-02-16 14:01 doligez Target Version 4.03.1+dev => undecided
2017-02-23 16:35 doligez Category OCaml documentation => Documentation
2017-02-23 16:44 doligez Category Documentation => documentation
2017-03-29 05:10 murmour Note Added: 0017709
2017-04-10 14:53 doligez Target Version undecided =>
2017-04-10 14:53 doligez Description Updated View Revisions
2017-04-10 15:01 doligez Note Edited: 0015745 View Revisions
2017-04-10 15:01 doligez Note Added: 0017730
2017-04-10 15:03 doligez Note Edited: 0017730 View Revisions
2017-04-10 15:04 doligez Status acknowledged => resolved
2017-04-10 15:04 doligez Resolution open => fixed
2017-04-10 15:04 doligez Fixed in Version => 4.06.0+dev


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker